Welcome To AVSAudioEditor

AVSAudioEditor

Version 1.4

User Guide

www.avsmedia.com

2003


Overview

Welcome to AVSAudioEditor, powerful, full-featured and easy to use digital audio editor.

Friendly interface allows you to perform lots of different operations in easy way. You can use it to record your own music, voice or other audio, edit it, mix it with other audio or musical parts, add effects like Reverb, Chorus, and Echo, and master it so that you can burn it to a CD, post it on the World Wide Web, or e-mail it. AVSAudioEditor supports all major audio file formats.

AVSAudioEditor will be interesting for professionals and amateurs, it is very easy to use, it enables you to perform a lot of operations without any difficulties. Once you get started you will be surprised to see the possibilities this program offers to you.

So what are the main functions of AVSAudioEditor? Suppose you have recorded some audio data, now you can do whatever you want with it: cut it, copy, paste, move, the same operations that you can do with the text in a word processor. In case you make a mistake, press Undo button, and try again.

AVSAudioEditor has a great variety of audio effects and tools: Echo, Delay, Flanger, Reverb, Phaser, Quick Filters, FFT Filter, Amplify and many others.

With the help of AVSAudioEditor you can also analyze your audio data. Frequency Analysis, Waveform View and Spectral View are at your disposal.

You don’t need to be a professional to use AVSAudioEditor, in case you need some help, refer to this User Guide, if you cannot find something here or you need some explanation or assistance, just e-mail us support@avsmedia.com or visit us on the World Wide Web www.avsmedia.com.


System Requirements

To work as a fully functional system AVSAudioEditor requires the following features:

  • Windows 98SE/ME/2000/XP operating system

  • A sound card

  • A CD-ROM drive (optional)

  • At least 10 megabytes of free disk space


Purchasing AVSAudioEditor

If you have not yet purchased AVSAudioEditor, you can do it through the web, or by fax, phone or post mail with the help of our e-commerce reseller ShareIt.com. It's fast, simple and secure!

Click Buy Now! button and carefully fill in the order form that will show up. Then submit it and you will find all the necessary bank account information to make the transfer.

We will send you the registration key as soon as we receive payment confirmation from our e-commerce reseller.

If you have any questions mail to sales@avsmedia.com.

To learn more about our company and products visit our website www.avsmedia.com.


Registration

Unless you register AVSAudioEditor the program will have limited functional features. It will not allow you to save files.

You can register AVSAudioEditor online using credit card: http://www.avsmedia.com/AudioEditor/buy.aspx

After purchasing AVSAudioEditor you will get a Registration Name and Serial Number. Once you start to run the program go to Menu/Help/About pull-down menu.

There press Registration button and enter your registration key.


Contacting AVSMedia Team

AVSMedia.com

If you have any questions contact us:

General information | info@avsmedia.com
Technical support | support@avsmedia.com
Sales | sales@avsmedia.com


Technical Support

AVSAudioEditor is designed as an easy to use tool, but in some cases you may need some help or assistance. Answers to most of your questions you will find in this User Guide. If you still experience difficulties, our technical support staff is available via e-mail. We are ready to give individual answers to all your questions within a short period of time.

Before e-mailing AVSMedia.com for support, please, check this User Guide and our web site for answers to your questions.

Web Site Support

AVSMedia.com web site provides an extensive amount of support materials, and the solution or answer you seek may already be posted there. You may also find there an update and download it to resolve the problem.

http://www.avsmedia.com/

E-mail Support

Please, submit your technical questions and problems via E-mail. AVSMedia.com support team answers to your questions individually within a short period of time.

  1. Include your Name and your return E-mail address.
  2. Describe your problem or question in detail, with the detailed steps required to reproduce the problem.
  3. Provide detailed information about your system, such as the CPU, sound card type, hard drive space available, etc.
  4. Please do NOT attach any other files to your e-mail message unless specifically requested by AVSMedia.com support staff.

E-mail address: support@avsmedia.com

Phone Support

AVSMedia.com does not provide telephone support for AVSAudioEditor.


Main Window

AVSAudioEditor main window comprises the following parts:

  • Menu

  • Top Toolbar

  • Bottom Toolbar

  • Additional Toolbar

  • Status Bar

  • Waveform Editing Interface

  • Effect Panel

  • Frequency Analysis Window


Menu

AVSAudioEditor can be operated with the help of menu elements. Flexible system of menu elements is a perfect tool for navigating and operating the system, controlling converting and grabbing processes and so on.

The menu has the following structure:

Section | Point | Description
File | New... | Use it to create a new audio file. When you create a new audio file, AVSAudioEditor will ask you to specify the audio file properties.
 | New From Clipboard | Use it to create a new audio file.
 | Open | Use it to open an existing audio file. AVSAudioEditor supports a wide variety of data types. When you load a file for editing, AVSAudioEditor converts the audio file type to its own internal temporary file type for faster editing and better handling of larger file sizes.
 | Reopen | Use it to see a list of files you’ve most recently opened. To reopen one of these files quickly, click it.
 | Open As | Use it to specify the sample format before opening a file to enable automatic conversion to a sample-rate, bit-rate or channel-type. Open As... uses a "quick-and-easy" conversion method, i.e. if the target sample rate is different, it will not try to pre-filter or post-filter the samples.
 | Save | Use it to save the active audio file with its current file name and location.
 | Save As... | Use it to save the active audio file with a different file name and/or location.
 | Save In Other Format | Use it to save the active audio file in a different file format.
 | Save Selection As... | Use it to save just the highlighted selection to a file.
 | Save All | Use it to save all audio files you are currently editing.
 | Close | Use it to close the audio file you are currently editing. If you have not saved it since the last modification, AVSAudioEditor will ask you if you would like to save the file.
 | Close All | Use it to close all the audio files you are currently editing.
 | Exit | Use it to terminate the program and exit.
Edit | Undo | Use it to reverse the last command, such as deletion, transforms, etc. If this option is not available, it means there is no action to undo. AVSAudioEditor allows virtually unlimited (limited only by hard drive space) levels of Undo.
 | Redo | Use it to repeat your last command or action.
 | Cut | Use it to remove the selection from the active file and place it on the Clipboard.
 | Copy | Use it to copy the selection to the Clipboard.
 | Paste | Use it to insert the contest of the Clipboard at the insertion point or to replace any selection.
 | Mix | Use it to mix any audio data from either the Windows or the Clipboard with the current audio file.
 | Insert Silence … | Use it to insert periods of silence between words or other sounds.
 | Select All | Use it to select all audio data in the active window.
 | Select Viewing Range | Use it to select all audio data in the viewing range.
 | Delete | Use it to remove the current selection. The deleted portion is not copied to the clipboard, and can only be retrieved through Undo.
 | Delete Silence … | Use it to remove periods of silence between words or other sounds.
 | Trim … | Use it to delete everything except the selected portion (the exact opposite of Delete selection).
 | Convert Sample Type … | Use it to convert the sample-rate, bit resolution, and channel format of an audio file that is currently loaded in AVSAudioEditor into a new format.
View | Waveform | Use it to choose a mode for viewing data: Waveform View or Spectral View. Waveform View displays audio data in the familiar green-on-black sound wave format, where x-axis (vertical) represents amplitude and y-axis (horizontal) represents time.
 | Spectral | Use it to choose a mode for viewing data: Waveform View or Spectral View. Spectral View displays a waveform by its frequency components, where x-axis is frequency, and y-axis is time. This allows you to analyze your audio data to see which frequencies are most prevalent.
 | Zoom In | Use it to zoom in on the center of the current waveform or session.
 | Zoom to Selection | Use it to zoom to the current selection.
 | Zoom to Left of Selection | Use it to zoom in on the left edge of the current selection.
 | Zoom to Right of Selection | Use it zoom in on the right edge of the current selection.
 | Zoom Out | Use it to zoom out from the current location.
 | Full Zoom | Use it to zoom all the way out to fit the entire audio file in the display window.
 | Vertical Zoom In | Use it to increase the vertical scale resolution of the current audio file.
 | Vertical Zoom Out | Use it to decrease the vertical scale resolution of the current audio file.
 | Viewing Range ... | Use it to specify the viewing range.
 | Selection Range ... | Use it to specify the selection range.
 | Horizontal Scale Format | Use it to choose between several Horizontal scale Formats, including Decimal and Samples.
 | Vertical Scale Format | Use it to choose between several Vertical Scale Formats, including Sample Values, Normalized Values, Decibel Values.
 | Frequency Analysis | Use it to show or hide Frequency Analysis Window. The Frequency Analysis Window contains a graph of the frequencies at the insertion point or at the center of a selection.
 | Show/Hide Effect Panel | Use it to show or hide Effect Panel
Action | Play | Use it to start playback of the current selection, or of the current audio file from either the left side of the selection, or from the beginning of the file, to either the right side of the selection or to the end of the file.
 | Play To End | Use it to start playback of the current selection, or of the current audio file from either the left side of the selection, or from the beginning of the file, to the end of the file.
 | Play Loop | Use it to play the current audio file or selection repeatedly, looping it until the Stop button is pressed.
 | Stop | Use it to stop playback.
 | Pause | Use it to pause playback.
 | Record | Use it to start recording.
 | Rewind | Use it to rewind playback. Press this button and hold to rewind the playback cursor; release the button to stop rewinding.
 | Fast Forward | Use it to start fast playback.
 | Play All | Use it to start playback of all audio files (see Play).
 | Play All to End | Use it to start playback of all audio files up to the end (see Play To End).
 | Play All Loop | Use it to start playback of all audio files repeatedly (see Play Loop).
 | Stop All | Use it to stop playback of all audio files.
Transform | Invert | Use it to invert the samples, so that all positive offsets are negative and all negative offsets are positive. Inverting does not produce an audible effect, but it can be useful in lining up amplitude curves when creating loops, or pasting. On stereo waveforms, both channels are inverted.
 | Reverse | Use it to cause a selection to play backwards by reversing the order of its samples. Useful for creating special effects.
 | Silence | Use it to generate silence (entered in seconds) from the current playback cursor position, pushing any following audio back in time, and thereby lengthening the duration of the audio file. Silence will replace any selected area.
 | Stretch... | Use it to change the pitch (frequency) and tempo (duration) of the audio signal. It can also change either pitch or tempo without affecting the other. For example, you can use Stretch to transpose a song to a higher key, or to slow a passage down without changing the pitch. Pitch and tempo can also be varied over the length of the audio, giving the effect of slowing down and speeding up, or raising and lowering pitch.
 | Amplitude | Use it to transform the waveform.
 | Delay Effects | Use it to choose delay effects.
 | Quick Filters | Use it to choose preset filters.
 | FFT Filter | Use it to choose FFT Filter
DirectX | DirectX Filters | Use it to show a list of DirectX Filters installed on your computer. To run any of them just click on it. In case you do not have any DirectX Filter installed no pull-down menu will show up.
Options | Settings | Use it to modify settings for AVSAudioEditor such as screen appearance, file location and others.
 | Colors Schemes | Use it to see color schemes.
 | Show Welcome Dialog at Start | Use it to display or hide welcome dialog at start.
Window | Cascade | Use it to display all open audio files one by one in separate windows on the screen.
 | Tile Horizontally | Use it to arrange audio files on the screen. The audio files are arranged top to bottom on the screen.
 | Tile Vertically | Use it to arrange audio files on the screen. The audio files are arranged right side to left side on the screen.
 | Minimize All | Use it to minimize all open audio files.
 | Arrange All | Use it to display all open audio files in separate windows on the screen. The Arrange command makes it easier to drag between files.
Help
 | Help Contents... | Use it to open current Help File Window.
 | Technical Support | Use it to learn how you can get our technical support.
 | AVSMedia On The Web | Use to see the links to AVSMedia.com on the web.
 | About... | Use it to see information about the program.


Top Toolbar

The Top Toolbar consists of 24 buttons:

In the table below you will find the functions you can perform with the help of each button:

Button | Name | Description
 | New... | Use it to create a new audio file. When you create a new audio file, AVSAudioEditor will ask you to specify the audio file properties.
 | Open | Use it to open an existing audio file. AVSAudioEditor supports a wide variety of data types. When you load a file for editing, AVSAudioEditor converts the audio file type to its own internal temporary file type for faster editing and better handling of larger file sizes.
 | Save | Use it to save the active audio file with its current file name and location.
 | Save All | Use it to save all audio files you are currently editing.
 | Show/Hide Effect Panel | Use it to show or hide Effect Panel.
 | Frequency Analysis | Use it to show Frequency Analysis Window that contains a graph of the frequencies at the insertion point or at the center of a selection.
 | Cut | Use it to remove the selection from the active file and place it on the Clipboard.
 | Copy | Use it to copy the selection to the Clipboard.
 | Paste | Use it to insert the contest of the Clipboard at the insertion point or to replace any selection.
 | Undo | Use it to reverse the last command, such as deletion, transformation, etc. If this option is not available, it means there is no action to undo. AVSAudioEditor allows virtually unlimited (limited only by hard drive space) levels of Undo.
 | Redo | Use it to repeat your last command or action.
 | Zoom In | Use it to zoom in on the center of the current audio file window. After zooming, use the Time Ruler to scroll to the desired location.
 | Zoom to Selection | Use it to zoom to the current selection. If no selection is made, this button zooms in on the cursor location.
 | Zoom to Left of Selection | Use it to zoom in on the left edge of the current selection.
 | Zoom to Right of Selection | Use it to zoom in on the right edge of the current selection.
 | Zoom Out | Use it to zoom out from the current location.
 | Full Zoom | Use it to zoom all the way out to fit the entire waveform or session in the display window.
 | Vertical Zoom In | Use it to increase the vertical scale resolution of the waveform and Amplitude Ruler.
 | Vertical Zoom Out | Use it to decrease the vertical scale resolution of the waveform and Amplitude Ruler.
 | Full Vertical Zoom | Use it to zoom the vertical scale resolution of the waveform and Amplitude Ruler all the way out to fit the entire waveform or session in the display window.
 | Cascade | Use it to display all open audio files one by one in separate windows on the screen.
 | Tile Horizontally | Use it to arrange audio files on the screen. The audio files are arranged top to bottom on the screen.
 | Tile Vertically | Use it to arrange audio files on the screen. The audio files are arranged right side to left side on the screen.
 | Help | Use it to open current Help File Window.


Bottom Toolbar

Bottom Toolbar consists of 4 parts:

  • Audio player toolbar
  • Zooming toolbar
  • Current position field
  • Time display

Audio Player Toolbar consists of 12 buttons:

In the table below you will find the functions you can perform with the help of each button:

Button | Name | Description
 | Play | Starts playback of the current selection, or of the current audio file from either the left edge of the selection, or from the beginning of the file, to either the right edge of the selection or to the end of the file.
 | Play to End | Starts playback of the current selection, or of the current audio file from either the left edge of the selection, or from the beginning of the file, to the end of the file.
 | Play Loop | Plays the current audio file or selection repeatedly, looping it until the Stop button is pressed.
 | Stop | Stops playback
 | Pause | Pauses playback
 | Record | Starts recording
 | Play All | Starts playback of all audio files (see Play).
 | Play All to End | Starts playback of all audio files up to the end (see Play To End).
 | Play All Loop | Starts playback of all audio files repeatedly (see Play Loop).
 | Stop All | Stops playback of all audio files.
 | Rewind | Press this button in and hold to rewind the playback cursor; release the button to stop rewinding.
 | Fast Forward | Begins fast playback.

Zooming Toolbar consists of 8 buttons:

In the table below you will find the description of each button:

Button | Name | Description
 | Zoom to Right of Selection | Zooms in on the right edge of the current selection.
 | Zoom to Selection | Zooms to the current selection. If no selection is made, this button zooms in on the cursor location.
 | Zoom to Left of Selection | Zooms in on the left edge of the current selection.
 | Vertical Zoom In | Increases the vertical scale resolution of the waveform and Amplitude Ruler.
 | Zoom In | Zooms in on the center of the current audio file window. After zooming, use the Time Ruler to scroll to the desired location.
 | Zoom Out | Zooms out from the current location.
 | Full Zoom | Zooms all the way out to fit the entire waveform or session in the display window.
 | Vertical Zoom Out | Decreases the vertical scale resolution of the waveform and Amplitude Ruler.

Current Position Field displays the current position of the active window cursor:

Time Display consists of 6 fields:

These fields display start, end, and length information for the visible portion of the current waveform or session, and for the currently selected range. The top row of fields relates to the selection time, and the bottom row to the viewing range. The format used for the time display can be selected in /View /Horizontal Scale Format (Decimal or Samples).

The selection or viewing range can be adjust in /View / Viewing Range... and /View / Selection Range... .

If no selection is made, the selection starts and ends at the current cursor position.


Additional Toolbar

Additional Toolbar consists of 7 buttons:

In the table below you will find the description of each button:

Button | Name | Description
 | Amplify Increase | Increases the volume of an audio file or selection.
 | Amplify Decrease | Decreases the volume of an audio file or selection.
 | Silence | This function generates silence (entered in seconds) from the current playback cursor position, pushing any following audio back in time, and thereby lengthening the duration of the audio file. Silence will replace any selected area.
 | Fade In | This function amplifies the end of a selection. To set the necessary value of Final Amplification open View/Show/Hide Effect Panel/Amplitude/Fade Adjust the slider(s) for the amount of amplification or attenuation you want to apply. To achieve a fading in effect, choose a Final Amplification greater than that of your Initial Amplification. For fade outs, do the opposite by setting the Final Amplification to the lesser value. Setting both the initial and final amplifications to the same value results in a constant amplification. The signal remains unchanged whenever an amplification value of 100% or 0dB is selected.
 | Fade Out | This function amplifies the beginning of a selection. To set the necessary value of Initial Amplification open View/Show/Hide Effect Panel/Amplitude/Fade Adjust the slider(s) for the amount of amplification or attenuation that you want to apply. Adjust the Final Amplification to fade the selection in or out. The signal will remain unchanged whenever an amplification value of 100% or 0dB is selected.
 | Invert | This function simply inverts the samples, so that all positive offsets are negative and all negative offsets are positive. Inverting does not produce an audible effect, but it can be useful in lining up amplitude curves when creating loops, or pasting. On stereo waveforms, both channels are inverted.
 | Normalize | Amplifies the highlighted selection to within the specified percentage of the maximum level. Use Normalization to achieve the greatest amount of amplification that will not result in clipping (when set to 0dB or 100%). Use the Normalize function if you are recording a script in which you want to normalize an audio file to a specific percentage of maximum.


Status Bar

Status Bar displays information relating to the file properties and free resources.

In the left part of the bar you can see information on Sample Format, that shows the format of the current waveform or session, with sample rate, resolution and mono/stereo properties. In the right part of the bar you can see information on Free space, that shows the amount of free space available on the drives currently selected in /Options/Settings/Devices/Temporary Directory. If the Temporary Directory and Clipboard Directory are on separate physical drives, the sum of the available space will be shown.


Waveform Editing Interface

Waveform Editing Interface Menu consists of four parts:

  • Waveform display

  • Display Range Bar

  • Amplitude Ruler

  • Time Ruler

Waveform Display

Waveform Display is the area where you view your audio material. There are many mouse operations available in the Waveform Display for selecting data:

Left-click anywhere in the waveform and you will change the position of the playback cursor.

With stereo waveforms, position the mouse pointer at the top or bottom of the Waveform Display (the cursor will acquire L or R letter) and left-click to enable only the left or right channel for editing (the disabled channel will “gray-out”), another left-click on the disabled channel to re-enable it.

Left-click and drag in the waveform display to make a selection.

Double left-click in the waveform display to select the entire visible portion of the waveform (when zoomed in this does not select unseen areas which may be to the right or left).

Right-click to create, extend or shorten a selection. The selection will extend or shorten the currently selected range up to the specified point, or stem from the cursor position if there is no existing selection.

Display Range Bar

Green Display Range Bar on the top of the Waveform Display Window indicates which part of the entire waveform is currently being viewed in the Waveform Display. When zooming in or out, this bar will get smaller or larger, as the portion being viewed changes with respect to the entire waveform or session.

Left-click and drag the Green portion of the bar to scroll forward or backward in time. As with dragging in the Time Ruler, the zoom level is retained, only the viewing range is altered.

Amplitude Ruler

Amplitude Ruler measures the relative volume of audio data. In Waveform View, the ruler's display format can be set to either Samples (exact sample value of the data), Decibels or as a Normalized Value (-100 to 100).

Use /View/Vertical Scale Format or right-click on the amplitude ruler to set the format and to show or hide Amplitude Ruler

Time Ruler

Time Ruler shows the current location at any point in the waveform display. The time markings are subdivided into more detail when zoomed in, and less detail when zoomed out.

Use /View/Horizontal Scale Format or right-click on the Time Ruler to set the Time Ruler format (Decimal or Samples) and to show or hide Time Ruler.


Frequency Analysis Window

Frequency Analysis

Frequency Analysis Window contains a graph of the frequencies at the insertion point (yellow arrow cursor) or at the center of a selection. This window "floats", meaning that you can click in the waveform on the main AVSAudioEditor window to update the analysis while the Frequency Analysis window is on top.

The information in this dialog is like one "slice" or line in the Spectral View of the waveform. The most prominent frequency is interpolated and displayed in a window below. You can move the mouse over the graph area to display the frequency and amplitude components of that frequency.

The Frequency Analysis window updates in real time while you play your file.

You can show or hide Frequency Analysis Window View/Frequency Analysis.


Keyboard And Mouse Shortcuts

To speed up your editing AVSAudioEditor offers you a wide variety of keyboard shortcuts. Use the table below to learn how to edit audio data in a fast and easy way.

Keyboard

Controls | Shortcut Key | Description
File Controls | Ctrl+N | Creates a new, initially blank file
 | Ctrl+O | Opens an existing waveform
 | Ctrl+W | Closes the current waveform
 | F2 | Saves the current waveform to disk
 |  | Opens a new audio file from clipboard
Editing Controls | Ctrl+A | Selects Entire Waveform
 | Ctrl+B | Selects Viewing Range
 | Ctrl+Z | Undo, reverses the last command or action
 | Ctrl+Alt+Z | Redo, repeats the last command or action
 | Ctrl+X | Cuts a waveform to internal clipboard
 | Ctrl+C | Copies a selection to internal clipboard
 | Ctrl+V | Pastes from internal clipboard (or Windows clipboard if internal clipboard is empty)
 | Ctrl+I | Inserts periods of silence between words or other sounds
 | Ctrl+T | Trims to selection
 | Delete | Deletes selection
 | F11 | Converts the sample-rate, bit resolution, and channel format of the current audio file into a new format
Play and Record Controls | Ctrl+P | Play
 | Ctrl+E | Play to End
 | Ctrl+L | Play Loop
 | Ctrl+S | Stop
 | Ctrl+Alt+P | Play All
 | Ctrl+Alt+E | Play All to End
 | Ctrl+Alt+L | Play All Loop
 | Ctrl+Alt+S | Stop All
View and Zoom Controls | F10 | Shows or hides Frequency Analysis Window
 | F12 | Shows or hides Effect Panel
 | Ctrl+Up Arrow | Zooms In
 | Ctrl+Down Arrow | Zooms Out
Miscellaneous | F1 | Brings up the current Help File
 | F4 | Brings up Settings dialog

Mouse Operations

Left click and drag on a waveform to make a selection

Double left-click on a waveform to select the entire visible portion of the waveform (when zoomed in this does not select unseen areas which may be to the right or left)

Right-click to create, extend or shorten a selection. The selection will extend or shorten the currently selected range up to the specified point, or stem from the cursor position if there is no existing selection

Left-click anywhere in the waveform and you will change the position of the playback cursor

Right-click on the amplitude ruler to set the Amplitude Ruler format (Sample, Normalized or Decibel Values) and to show or hide Amplitude Ruler

Right-click on the Time Ruler to set the Time Ruler format (Decimal or Samples) and to show or hide Time Ruler

With stereo waveforms, position the mouse pointer at the top or bottom of the Waveform Display (the cursor will acquire L or R letter) and left-click to enable only the left or right channel for editing (the disabled channel will “gray-out”), another left-click on the disabled channel to re-enable it

Left-click and drag the Green portion of the bar to scroll forward or backward in time

Click and drag on the Time Ruler to scroll horizontally

Rest mouse over any toolbar button to get an explanation of the button's function

Double-click on title bar to Maximize/Restore

Intellipoint Mouse specific

Roll the mouse wheel forward to zoom in

Roll the mouse wheel backwards to zoom out


Effect Panel Description

Effect Panel Menu is a universal easy-to-use tool to perform many different operations with audio files. On this panel you will find plenty of different Delay Effects and Filters, options to amplify the waveform, a form for audio file information and a page on which you can put locations defined within an audio file or session.

You can create lots of presets for every Effect Panel option.

Effect Panel Menu consists of 5 pages:

  • Amplitude

  • Delay Effects

  • Filters

  • File Information

  • Markers


Amplitude

Using this function you can increase or decrease the volume of a waveform or selection. On the scroll bar you will find seven Active Amplitude Effects:

  • Amplify

  • Normalize

  • Fade

  • Compressor

  • Expander

  • Mix Stereo Channels

  • Vibrato

Amplify

This function enables you to apply the same amount of gain change throughout the audio file.

Normalize

This function enables you to achieve the greatest amount of amplification that will not result in clipping. To normalize to less than the maximum range enter the percentage of maximum to which you want to normalize. For example, if you choose 50%, AVSAudioEditor will compute values needed to amplify the file no more than 50% of maximum. If two sounds that have been normalized to 50% are overlapped, the resulting wave will not exceed the boundaries, and will not clip.

Fade

This function enables you to apply different amount of gain change over the course of the waveform or selection.

On this page you will find two regulators - Initial Amplification and Final Amplification.

Adjust the slider of the Initial Amplification regulator for the amount of amplification or attenuation that will take place at the beginning of the selection.

Adjust the slider of the Final Amplification regulator for the amount of amplification or attenuation that will be applied to the end of the selection. To achieve a fading in effect, choose a Final Amplification greater than that of your Initial Amplification. For fade outs, do the opposite by setting the Final Amplification to the lesser value. Setting both the initial and final amplifications to the same value results in a constant amplification.

Compressor

This function enables you to reduce the dynamic range of an audio signal. For example, compressors can be used to eliminate the variations in the peaks of an electric bass signal by clamping them to a constant level (thus providing an even, solid bass line.) Compressors can also be useful in compensating for the wide variations in the level of a signal produced by a singer who moves frequently or has an erratic dynamic range.

Expander

This function enables you to expand the dynamic range of an audio signal. Expander boosts the high-level signals and attenuates low-level signals.

Mix Stereo Channels

This function enables you to mix audio signals from two different channels using the existing right and left channels as input sources.

On this page you will see two regulators - New Left Channel and New Right Channel.

Adjust the slide bars of the New Left Channel regulator to determine the percentage of the current left and right channels that will be mixed into the new left channel.

Adjust the slide bars of the New Right Channel regulator to determine the percentage of the current left and right channels that will be mixed into the new right channel.

Vibrato

This function enables you to set the desired Depth, Frequency and Phase of amplitude vibration.


Delay Effects

Using this function you can apply plenty of different effects like Delay, Echo, Flanger, Chorus, etc., and create new effects with the help of Add Preset button. On the scroll bar you will find four Active Delay Effects:

  • Delay

  • Phaser

  • Flanger

  • Reverb

Delay

You can use this function to create single echoes, as well as a number of other effects. Delays of 35 milliseconds (ms) or more will be perceived as discrete echoes, while those falling within the 35-15 ms range can be used to create a simple chorus or flanging effect. (These effects will not be as effective as the actual chorus or flanging effects, as the delay settings will be fixed and will not change over time).

Phaser

Here you can choose the desired effect and set Delay Time, Mix Depth and Feedback Gain .

Flanger

You can use this function to create a flanging effect by slightly delaying and phasing a signal at predetermined or random intervals.

Reverb

You can use this function to set Reverb Effect that is used to simulate acoustic space, and consists of both early reflections, and echoes that are so closely spaced that they are perceived as a single decaying sound. Reverb is different from the basic echo function in that the delays are not repeated at regularly spaced intervals. Reverb function can create a wide range of high-quality reverb effects.


Filters

Using this function you can apply different filters and create new filters with the help of Add Preset button. On the scroll bar you will find seven Active Filters:

  • Low Pass

  • Band Pass

  • High Pass

  • Notch Filter

  • Low Shelf

  • High Shelf

  • Peak EQ Filter


File Information

In this form you can enter information on your audio file, like title, artist, album, genre, copyright, year and your comments.


Markers

It is a list of time offsets, or locations defined within an audio file or session. You can enter here information on the position of either a point, specifying the cursor position, or a range, specifying a selection. Markers is a floating window, meaning you can click in the waveform on the main AVSAudioEditor window (to define your markers) leaving the Markers window open. You can find a marker in the waveform by double-clicking on the marker in the list. The markers are displayed on the list in temporal order, with the earliest marker position at the top of the list.


Open

File/Open

Opens an existing sound file. When you click File/Open a window with a list of existing audio files shows up. To open

the necessary audio file click on it and press Open button.

AVSAudioEditor supports all major audio formats. When you load a file for editing, AVSAudioEditor converts the waveform type to its own internal temporary file type for faster editing and better handling of larger file sizes.


Reopen

File/Reopen

After clicking Reopen you will see a list of files you have most recently opened. It lets you quickly reopen one of these files by clicking it.


Open As

File/Open As

It lets you specify the sample format before opening a file to allow automatic conversion to a sample-rate, bit-rate and channel-type. Open As... uses a "quick-and-easy" conversion method.


Save

File/Save

Saves the current waveform back to disk, overwriting the original without confirmation. If the data does not yet exist as a file (you have not previously saved it), AVSAudioEditor will bring up Save As... window.


Save As

File/Save As

Saves the current waveform with a new name or/and location. Click File/Save As to bring up a window, where you can enter a new name and/or select a new location.


Save In Other format

File/Save In Other Format

Saves the active audio file in a different file format.

You can select onefrom the list that will show up after clicking Open/Save In Other Format button.


Save Selection As

File/Save Selection As

Saves just the highlighted selection to a file with the same audio format as the current audio file. Click File/Save Selection As to bring up a window, where you can enter a selection name and choose a directory for saving.


Save All

File/Save All

Saves all audio files you are currently editing.


Playing and Recording

On AVSAudioEditor you can operate Play and Record as well as other transport functions like you do on "real-world" tape recorders. Audio Player Toolbar is situated in the left bottom corner of the Main Window.

Click Play to play the portion of the waveform that is currently being viewed, or the portion that is highlighted.

Click Pause to pause the playback or recording of audio.

Click Record to start recording at the current insertion point. Any waveform data after that will be recorded over.

Click Stop to end waveform playback or recording.

When a waveform is being played, a vertical dotted line shows the current playing position.

You will also find Fast Forward, Rewind, Play to End, Play Loop, Play All, Play All to End, Play All Loop and Stop All buttons on Audio Player Toolbar.

For more information go to Audio Player Toolbar.


Horizontal Zooming

Use the Horizontal Zoom buttons, that you can find on Zooming Toolbar at the bottom of the Main Window, to get more or less detail on a waveform or session. You can Zoom all the way down to the individual samples of a waveform, which are displayed as small squares on a line (the line itself represents an analog interpretation of the digital data).

In the table below you will find the description of each button:

Button | Name | Description
 | Zoom to Right of Selection | Zooms in on the right edge of the current selection.
 | Zoom to Selection | Zooms to the current selection. If no selection is made, this button zooms in on the cursor location.
 | Zoom to Left of Selection | Zooms in on the left edge of the current selection.
 | Zoom In | Zooms in on the center of the current audio file window. After zooming, use the Time Ruler to scroll to the desired location.
 | Zoom Out | Zooms out from the current location.
 | Full Zoom | Zooms all the way out to fit the entire waveform or session in the display window.


Vertical Zooming

The Vertical Zoom buttons, that you can find on Zooming Toolbar at the bottom of the Main Window, increase or decrease the vertical scale in the amplitude ruler. You can zoom way in to get fine detail on the amplitude of your waveform.

In the table below you will find the description of each button:

Button | Name | Description
 | Zoom In | Zooms in on the center of the current audio file window. After zooming, use the Time Ruler to scroll to the desired location.
 | Zoom Out | Zooms out from the current location.
 | Full Zoom | Zooms all the way out to fit the entire waveform or session in the display window.
 | Vertical Zoom in | Increases the vertical scale resolution of the waveform and Amplitude Ruler.
 | Vertical Zoom Out | Decreases the vertical scale resolution of the waveform and Amplitude Ruler.
 | Full Vertical Zoom | Use it to zoom the vertical scale resolution of the waveform and Amplitude Ruler all the way out to fit the entire waveform or session in the display window.


Scrolling Through a Waveform

The green Display Range Bar

above the waveform indicates which portion of the entire wave is being viewed at the moment. When zoomed in or out, this bar gets smaller or larger respectively, as the portion being viewed with respect to the entire wave is smaller or larger. You can click and drag the green bar at any time to scroll the portion being viewed left or right. You can also click and drag the Time Ruler to scroll through a waveform, move it to the extreme right or left.


Editing Individual Channels

At times, you may want to edit only one channel of a stereo file. Normally both channels are edited simultaneously (as in applying reverb to a waveform). You can, however, edit channels independently by disabling the left or the right side. To do so, simply click near the top (for the left channel) or bottom (for the right) of the waveform. When you do so, the mouse cursor acquires an L or an R letter respectively. When you see, for example, letter R in the right channel, click and the left channel will be disabled. To return to stereo editing click on the disabled channel. When pasting, the audio data is overlapped with what is already there, since inserting only in one channel will put the channels completely out of phase.


Selecting Data

Defining selections is an integral part of digital waveform editing, used for everything from applying effects to creating loops. Simple selections are made in the waveform Display area by clicking with the left mouse button and dragging. This will produce a highlight that represents your selection range. In addition, AVSAudioEditor provides a number of functions to aid in selecting waveform data that can be used in combination for exactness.

Selection

To define a selection area left-click and drag on the waveform (selected area will become highlighted). To select a single channel click near the top or bottom of the stereo waveform. To extend a selection in either direction right-click on the waveform. To shorten or extend a selection position the Mouse pointer on the cursor and drag.

Use /Edit/Select All to select the whole file.

Use /Edit/Select Viewing Range or double left-click on the waveform to select all audio data in the viewing range.

Use /View/Selection Range to exactly specify the selection range.

Zooming

AVSAudioEditor provides many methods of zooming in and out on your data. Zooming in on waveform material allows to make more precise selections. Use the buttons found beneath the waveform area on Zooming Toolbar to get more or less detail on a waveform or session. You can Zoom all the way down to the individual samples of the waveform, that are displayed as small squares on a line (the line itself represents an analog interpretation of the digital data). The Vertical Zoom buttons increase or decrease the vertical scale in the amplitude ruler.

Use /View/Viewing Range to exactly specify the viewing range.


Transformation Operations

In case you need to transform audio data click Transform pull-down menu and you will find all the transformation operations available:

  • Invert

  • Reverse

  • Silence

  • Stretch

  • Amplitude

  • Delay Effects

  • Quick Filters

  • FFT Filter


Invert

With the help of this function you can simply invert the samples, so that all positive offsets are negative and all negative offsets are positive. Inverting does not produce an audible effect, but it can be useful in lining up amplitude curves when creating loops, or pasting. On stereo waveforms, both channels are inverted.


Reverse

Transform/Reverse

With the help of this function you can make a selection play backwards by reversing the order of its samples. It is useful for creating special effects.


Silence

Transform/Silence

This option enables you to silence out the selected range. Unlike deleting, or cutting, a selection (which splices the surrounding material together), Silence leaves the duration of the selection intact, and simply zeros the amplitude within it.

With the help of this function you can also generate silence (entered in seconds) from the current playback cursor position, pushing any following audio back in time, and thereby lengthening the duration of the audio file.


Stretch

Transform/Stretch

The Stretch function enables you to change frequency and duration of an audio signal. You can also change either frequency or duration without affecting the other. For example, you can use Stretch to transpose a song to a higher key without affecting the duration, or to slow a passage down without changing the frequency. Frequency and duration can also vary over the length of the audio, giving the effect of slowing down and speeding up, or raising and lowering frequency.


Amplitude

Transform/Amplitude

Using this function you can increase or decrease the volume of a waveform or selection. On the pull-down menu you will find seven Amplitude Effects:

  • Amplify

  • Normalize

  • Fade

  • Compressor

  • Expander

  • Mix Stereo Channels

  • Vibrato

Amplify

Transform/Amplitude/Amplify

This function enables you to apply the same amount of gain change throughout the audio file.

Normalize

Transform/Amplitude/Normalize

This function enables you to achieve the greatest amount of amplification that will not result in clipping. To normalize to less than the maximum range enter the percentage of maximum to which you want to normalize. For example, if you choose 50%, AVSAudioEditor will compute values needed to amplify the file no more than 50% of maximum. If two sounds that have been normalized to 50% are overlapped, the resulting wave will not exceed the boundaries, and will not clip.

Fade

Transform/Amplitude/Fade

This function enables you to apply different amount of gain change over the course of the waveform or selection.

On the pull-down menu you will find several options, if neither of them suits your needs go to View/Show/Hide Effect Panel, on the effect panel open Amplitude/Fade .

On this page you will find two regulators - Initial Amplification and Final Amplification.

Adjust the slider of the Initial Amplification regulator for the amount of amplification or attenuation that will take place at the beginning of the selection.

Adjust the slider of the Final Amplification regulator for the amount of amplification or attenuation that will be applied to the end of the selection. To achieve a fading in effect, choose a Final Amplification greater than that of your Initial Amplification. For fade outs, do the opposite by setting the Final Amplification to the lesser value. Setting both the initial and final amplifications to the same value results in a constant amplification.

Compressor

Transform/Amplitude/Compressor

This function enables you to reduce the dynamic range of an audio signal. For example, compressors can be used to eliminate the variations in the peaks of an electric bass signal by clamping them to a constant level (thus providing an even, solid bass line.) Compressors can also be useful in compensating for the wide variations in the level of a signal produced by a singer who moves frequently or has an erratic dynamic range.

Expander

Transform/Amplitude/Expander

This function enables you to expand the dynamic range of an audio signal. Expander boosts the high-level signals and attenuates low-level signals.

Mix Stereo Channels

Transform/Amplitude/Mix Stereo Channels

This function enables you to mix audio signals from two different channels using the existing right and left channels as input sources.

On the pull-down menu you will see several options of mixing channels, to enable any of them just click on it.

If neither of the options suits your needs open View/Show/Hide Effect Panel, on the effect panel open Amplitude/Mix Stereo Channels.

On this page you will see two regulators - New Left Channel and New Right Channel.

Adjust the slide bars of the New Left Channel regulator to determine the percentage of the current left and right channels that will be mixed into the new left channel.

Adjust the slide bars of the New Right Channel regulator to determine the percentage of the current left and right channels that will be mixed into the new right channel.

Vibrato

Transform/Amplitude/Vibrato

On the pull-down menu you will see two options - Fast vibrato and Slow Vibrato, to enable any of them just click on it.

If you wish to set your own Depth, Frequency and Phase of the amplitude vibration, go to View/Show/Hide Effect Panel, on the effect panel open Amplitude/Vibrato.


Delay Effects

Transform/Delay Effects

Using this function you can apply plenty of different effects like Delay, Echo, Flanger, Chorus, etc.. On the pull-down menu you will find four Delay Effects:

  • Delay

  • Phaser

  • Flanger

  • Reverb

Delay

Transform/Delay Effects/Delay

You can use this function to create single echoes, as well as a number of other effects. Delays of 35 milliseconds (ms) or more will be perceived as discrete echoes, while those falling within the 35-15 ms range can be used to create a simple chorus or flanging effect. (These effects will not be as effective as the actual chorus or flanging effects, as the delay settings will be fixed and will not change over time).

Phaser

Transform/Delay Effects/Phaser

Here you can choose the desired effect from the options that you will find on the pull-down menu, in case you want to set your own Delay Time, Mix Depth and Feedback Gain, go to View/Show/Hide Effect Panel, on the effect panel open Delay Effects/Phaser.

Flanger

Transform/Delay Effects/Flanger

You can use this function to create a flanging effect by slightly delaying and phasing a signal at predetermined or random intervals.

On the pull-down menu you will find a great variety of different flanger effects, to choose any of them just click on it.

Reverb

Transform/Delay Effects/Reverb

You can use this function to set Reverb Effect that is used to simulate acoustic space, and consists of both early reflections, and echoes that are so closely spaced that they are perceived as a single decaying sound. Reverb is different from the basic echo function in that the delays are not repeated at regularly spaced intervals. Reverb function can create a wide range of high-quality reverb effects.


Quick Filters

Transform/Quick Filters

Using this function you can apply different filters. On the pull-down menu you will find seven Active Filters:

  • Low Pass

  • Band Pass

  • High Pass

  • Notch Filter

  • Low Shelf

  • High Shelf

  • Peak EQ Filter

To enable any of them just click on it.


FFT Filter

Transform/FFT Filter

With the help of FFT (Fast Fourier Transform) Filter you can easily draw curves or notches for rejecting or boosting specific frequencies.

Custom Tune

Transform/FFT Filter/Custom Tune....

In the left part of this window you can see a Graph that depicts the frequency spectrum along the x-axis (left and right) and amplitude along the y-axis (up and down). The Readout below the graph displays the current x, y position of your mouse.

To add a control point to the graph, click in the grid at the location where you want to place the point. To enter frequency and amplification for a control point numerically, double-click on the point to bring up the edit box, or click on the curve. To move a point on the graph, click and hold on the point and drag to a new location. When the mouse cursor is located over a point, you will see it change from an arrow to a hand.

If you prefer the frequency scale to be displayed logarithmically rather than in linear fashion check Log Scale option. When Log Scale is checked, the graph represents the frequency curve more closely to the way the ear perceives sound. To do finer editing in low frequencies, leave Log Scale checked. For detailed high frequency work, or work with evenly spaced intervals in frequency, uncheck this option.

Spline option enables you to generate a smoother, best fit curve instead of a straight line between control points on the graph. When you use spline curves, the line will not ordinarily travel directly through the control points; rather, the points control the shape of this curve. To get the curve closer to a control point, click to create more control points near the point in question. The more control points are clustered together, the closer the spline curve will be to those points. Use Spline Curves when you want very smooth curves instead of straight lines (with their discontinuities at the control points).

The FFT Size parameter specifies the size of the FFT to use, which can affect processing speed and quality. For cleaner sounding filters, use higher values. This value must be a power of two. Recommended values are between 1024 and 8192.

Use lower values (512 or so) when tweaking your filter for faster Preview response. When you have the settings the way you want them, switch to a higher FFT size for better quality when processing.

You can use Presets feature for storing and recalling your favorite settings. Some presets are included with the program when first installed. New presets can be added any time by simply setting the dialog parameters the way you like them, and pressing Add Preset button. To recall a preset, double-click on the name in the list, and the dialog's settings will change to those defined by the preset. To remove a preset from the list, highlight the name in the list and press Delete Preset button.

When you click Transform/FFT Filter you will see a list of all the presets, you can choose any of them directly without opening Custom tune.... pull-down menu.


Convert Sample Type

To convert the sample-rate, bit resolution, and channel format of an audio file that is currently loaded in AVSAudioEditor into a new format type (such as 44KHz/16-bit/stereo to 22KHz/8-bit/mono) open Edit/Convert Sample Type menu.

Convert Sample Type directly processes samples within the file, or re-samples the data, so that the audio retains the same frequency and duration as the original file.

Every aspect of conversion can be adjusted to suit your needs. You can set the necessary Frequency, choose whether the new sample type will be Mono or Stereo, choose the Bit Resolution and Compress Format to convert to.


Insert Silence

To insert silence open Edit/Insert Silence menu. In the window that will show up choose the necessary duration of silence.

This function generates silence (entered in seconds) from the current playback cursor position, pushing any following audio back in time, and thereby lengthening the duration of the waveform.

With the help of this function you can also replace any selected area. Unlike deleting, or cutting, a selection (which splices the surrounding material together), Silence leaves the duration of the selection intact, and simply zeros the amplitude within it.


Delete Silence

This function is used to remove periods of silence between words or other sounds. To enable this function open Edit/Delete Silence menu. In the window that will show up set the necessary values of Threshold, Attack time, Release Time and RMS Time.


Mix Audio Data

To mix any audio data from either the Windows or the internal clipboard with the current wave open Edit/Mix Paste menu. In the window that will show up set the necessary Amplify Select and Amplify Paste values, select the file from which you are going to paste audio data.

Clipboard data is overlapped starting at the current insertion point or selection. If the format of the waveform data on the clipboard differs from the format of the file it is being pasted into, AVSAudioEditor converts it before pasting.


Modify Settings

You can customize AVSAudioEditor colors, devices and other settings in Options/Settings menu. The window that will show up comprises 3 pages:

  • Colors

  • Devices

  • Other

Colors

Color Scheme pull-down menu contains all the available color schemes, in case you need to choose one, simply select it from the list. The currently selected color scheme will be displayed in the Example Window in the right part of the page.

Display elements is a list of all the elements within the waveform display with their current color. This list will change to reflect the changes made to any of the display elements.

To change the color of any of the display elements you can easily double-click the necessary element or click on the element and press Change Color button. This will bring a standard Windows color selection dialog. Use this dialog to choose a color for the currently highlighted item in the Display Elements list.

To save the current color scheme as a preset press Save As... button.

To delete the currently selected preset press Delete button.

Devices

In Devices section you can choose Output and Input devices.

Output setting determines the sound card, or outputs to assign to AVSAudioEditor for playback in the Edit Waveform View. If you have multiple sound cards, or a single card that has multiple outputs, they will show up as choices in the drop-down list.

Input setting determines the sound card, or inputs to assign to AVSAudioEditor for recording in the Edit Waveform View. If you have multiple sound cards, or a single card that has multiple inputs, they will show up as choices in the drop-down list.

In Directories section you can choose Temporary and Clipboard directories.

Other

Here in Recording Filters section you can enable or disable High Pass Filter, Low Pass Filter or Notch Filter and set their Frequency.

In Transforming Smooth section you can enable or disable Smooth and set Smooth Time.

In Fast Bar Settings section you can set the necessary percentage of Amplify Increase, Amplify Decrease and Normalization.

You can also choose Play/Record Block Size and set limitation on the number of Undo/Redo action.


Audio File Formats

AVSAudioEditor supports the following codecs:

Codec | Description
ADPCM | Compressed WAV format. ADPCM (Adaptive Differential Pulse Code Modulation) is an audio compression scheme which compresses from 16-bit to 4-bit for a 4:1 compression ratio.
ALAW | Compressed WAV format. A-Law (or CCITT standard G.711) is an audio compression scheme common in telephony applications. It is a slight variation of the u-Law compression format, and is found in European systems. This encoding format compresses original 16-bit audio down to 8 bits (for a 2:1 compression ratio) with a dynamic range of about 13-bits. Thus, a-law encoded waveforms have a higher s/n ratio than 8-bit PCM, but at the price of a bit more distortion than the original 16-bit audio. The quality is higher than you would get with 4-bit ADPCM formats. Encoding and decoding is rather fast and generally, widely supported.
DSP | Compressed WAV format. DSP Group True Speech (TM) format.
GSM | Compressed WAV format. Good for keeping of human speech.
G.726 | Used for computer telephony. Good for keeping of human speech.
MP3 | MPEG Layer-3 format. Very popular format for keeping of music.
PCM | Standard Windows WAV format for non-compressed audio files. Pulse Code Modulation (PCM) is the standard method of digitally encoding audio. It is the basic uncompressed data format used in file types such as Windows .wav.
ULAW | Compressed WAV format. u-Law (or CCITT standard G.711) is an audio compression scheme and international standard in telephony applications. u-Law is very similar to A-Law, a variation of u-Law found in European systems. This encoding format compresses original 16-bit audio down to 8 bits (for a 2:1 compression ratio) with a dynamic range of about 13-bits. Thus, u-Law encoded waveforms have a higher s/n ratio than 8-bit PCM, but at the price of a bit more distortion than the original 16-bit audio. The quality is higher than you would get with 4-bit ADPCM formats. Encoding and decoding is rather fast and generally, widely supported.
VOX | Dialogic ADPCM format. The Dialogic ADPCM format is commonly found in telephony applications, and has been optimized for low sample rate voice. It will only save mono 16-bit audio, and like other ADPCM formats, it compresses to 4-bits/sample (for a 4:1 ratio). This format has no header, so any file format with the extension .VOX will be assumed to be in this format.
RAW | Raw format of audio files. Doesn't contain header of an audio file.
WMA | Windows Media Audio format. A special type of advanced streaming format file for use with audio content encoded with the Windows Media Audio codec. The .wma extension indicates a file format and how the content is encoded.
CCIT U-Law | Compressed WAV format.
Ogg Vorbis | Ogg Vorbis format.


DirectX Plug-Ins

AVSAudioEditor supports DirectX audio plug-ins installed on your computer. DirectX is a development platform designed by Microsoft which provides an open standard formultimedia plug-ins. DSP modules, and other audio tools based on this standard, can be used by any application that supports the DirectX architecture.

With the help of DirectX plug-ins you can easily extend the range of powerful effects available in AVSAudioEditor.

In case you do not have DirectX installed on your computer, you can download it from Microsoft web site.

DirectX plug-ins are very easy to use. To enable any of them just highlight an area to process and choose effect from DirectX menu.

Most DirectX plug-inshave a settings dialog where you can configure the parameters of the effect. Some plug-ins may support real-time preview. But, of course, if you have some problems you will need to consult the documentation provided by the plug-in manufacturer.


AVSAudioEditor APIs

AVSAudioEditor was written on the basis of ActiveX components developed by NCTCompany Ltd.

NCTAudioEditor ActiveX DLL v.2.2

NCTAudioEditor ActiveX DLL is a visual audio files editor. It can be used to build applications that allow the end-user to perform various operations with audio data, such as displaying Waveform and Spectral View of an audio file, applying various audio effects and filters, examining the frequency components and other details on your audio with the help of Frequency Analysis, Spectral View features, format conversion, etc.

It is possible to develop a really powerful and efficient application with the help of NCTAudioEditor.

NCTAudioStudio ActiveX DLL v.2.2

NCTAudioStudio is a package of 17 ActiveX DLLs for designing audio enabled software.

Record, mix and play, compress and decompress audio from any input sources, convert from one audio format to another, transform audio data applying various audio effects and filters, grab and create music CDs on the fly, to and from MP3, WMA, OGG, etc., without intermediate .wav files, with CDDB and re-writable discs support, create your own, unique audio formats based on well-known compression algorithms, add text-to-speech capabilities based on Microsoft Speech SDK to your applications, edit audio tags (ID3v1 and ID3v2), get detailed information about audio files, manage audio files and create audio databases, visualize audio signal and its spectrum, use a set of advanced GUI controls to enhance your applications with a new look.

With the help of NCTAudioStudio you will be able to build really powerful audio applications.

Supports all major audio file formats: uncompressed WAV PCM, compressed WAV (GSM, ADPCM, DSP, ALAW, ULAW, ALF2 CD and others), MP3 (including VBR), MP2, VOX (Dialogic ADPCM), RAW (PCM, ALAW, ULAW, GSM, IMA ADPCM, MS ADPCM), WMA, AVI (audio), G.726, G.723, G.721, Ogg Vorbis, MPC, Mobile Voice, AIFF, AU.